Utilities
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
stringOptional
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
get/health-check
GET /api/health-check HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
textAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
healthybooleanRequired
versionstringRequired
didkitEnginestring Β· enumRequiredPossible values:
didstringRequired
vpVerifiedbooleanRequired
verificationErrorsstring[]Required
msnumberRequired
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
get/health-check/deep
GET /api/health-check/deep HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"healthy": true,
"version": "text",
"didkitEngine": "native",
"did": "text",
"vpVerified": true,
"verificationErrors": [
"text"
],
"ms": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstring Β· emailRequiredPattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Responses
200
Successful response
application/json
localestring Β· nullableRequired
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post/utilities/resolve-email-locale
POST /api/utilities/resolve-email-locale HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 26
{
"email": "name@gmail.com"
}{
"locale": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
amountinteger Β· max: 100OptionalDefault:
100Responses
200
Successful response
application/json
string[]Optional
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/challenges
GET /api/challenges HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"text"
]Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
stringOptional
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
get/did
GET /api/did HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
textLast updated
Was this helpful?